#include<bits/stdc++.h>
using namespace std;
int main(){
    long long s, i(1);
    scanf("%lld", &s);
    vector<long long> memo(1000100, -1);
    while(1){
        if(memo[s] >= 0)return 0 & printf("%lld", i);
        memo[s] = i;
        if(s & 1)s = 3 * s + 1;
        else s >>= 1;
        ++i;
    }
}